gtk.Settings
Prev | The gtk Class Reference | Next

## gtk.Settings

gtk.Settings — an object that contains the global settings for the widgets on a `gtk.gdk.Screen`

## Synopsis

    class gtk.Settings(gobject.GObject):
        def set_string_property(name, v_string, origin)
        def set_long_property(name, v_long, origin)
        def set_double_property(name, v_double, origin)

    Functions

        def gtk.settings_get_default()
        def gtk.settings_get_for_screen(screen)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Settings

## gtk.Settings Properties

"color-hash" | Read | Holds a hash table representation of the gtk-color-scheme setting, mapping color names to `gtk.gdk.Color`s. This property is available in GTK+ 2.10 and above.
"gtk-alternative-button-order" | Read-Write | If `True`, buttons in dialogs should use the alternative button order. Available in GTK+ 2.6 and above. Default value: `False`
"gtk-alternative-sort-arrows" | Read-Write | Controls the direction of the sort indicators in sorted list and tree views. By default an arrow pointing down means the column is sorted in ascending order. When set to `True`, this order will be inverted. Default value: `False`. This property is available in GTK+ 2.12 and above.
"gtk-auto-mnemonics" | Read-Write | Controls whether mnemonics should be automatically shown and hidden when the user presses the mnemonic activator. Default value: `False` Available in GTK+ 2.20 and above.
"gtk-button-images" | Read-Write | If `True`, stock icons should be shown in buttons. Available in GTK+ 2.4 and above. Default value: `True`
"gtk-can-change-accels" | Read-Write | If `True`, the menu accelerators can be changed by pressing a key over the menu item. Default value: `False`
"gtk-color-palette" | Read-Write | The palette to use in the color selector. Default value: "black:white:gray50:red:purple:blue:light blue:green:yellow:orange:lavender:brown:goldenrod4:dodger blue:pink:light green:gray10:gray30:gray75:gray90"

"gtk-color-scheme"

Read-Write

A palette of named colors for use in themes. The format of the string is:

    name1: color1
    name2: color2
    ...

Color names must be acceptable as identifiers in the `gtk.RcStyle` syntax, and color specifications must be in the format accepted by the `gtk.gdk.color_parse`() function. Note that due to the way the color tables from different sources are merged, color specifications will be converted to hexadecimal form when getting this property. Default value: ''. This property is available in GTK+ 2.10 and above.

"gtk-cursor-blink" | Read-Write | If `True`, the cursor should blink. Default value: `True`
"gtk-cursor-blink-time" | Read-Write | The length of the cursor blink cycle, in milliseconds. Allowed values: >= 100. Default value: 1200
"gtk-cursor-blink-timeout" | Read-Write | Time after which the cursor stops blinking, in seconds. The timer is reset after each user interaction. Setting this to zero has the same effect as setting GtkSettings:gtk-cursor-blink to `False`. Allowed values: >= 1. Default value: 2147483647. This property is available in GTK+ 2.12 and above.
"gtk-cursor-theme-name" | Read-Write | Name of the cursor theme to use, or `None` to use the default theme. Default value: `None`
"gtk-cursor-theme-size" | Read-Write | Size to use for cursors, or 0 to use the default size. Allowed values: [0,128]. Default value: 0.
"gtk-dnd-drag-threshold" | Read-Write | The number of pixels the cursor can move before dragging starts. Allowed values: >= 1. Default value: 8
"gtk-double-click-distance" | Read-Write | The maximum distance allowed between two clicks for them to be considered a double click (in pixels). Available in GTK+ 2.4 and above. Allowed values: >= 0. Default value: 5
"gtk-double-click-time" | Read-Write | The maximum time allowed between two clicks for them to be considered a double click (in milliseconds). Allowed values: >= 0. Default value: 250
"gtk-enable-accels" | Read-Write | Whether menu items should have visible accelerators which can be activated. Default value: `True`. This property is available in GTK+ 2.12 and above.
"gtk-enable-animations" | Read-Write | If `True` enable toolkit-wide animations. Default value: `True`.
"gtk-enable-event-sounds" | Read-Write | Whether to play any event sounds at all. See the Sound Theme spec for more information on event sounds and sound themes. GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra. Default value: `True`. This property is available in GTK+ 2.14 and above.
"gtk-enable-input-feedback-sounds" | Read-Write | Whether to play event sounds as feedback to user input. See the Sound Theme spec for more information on event sounds and sound themes. GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra. Default value: `True`. This property is available in GTK+ 2.14 and above.
"gtk-enable-mnemonics" | Read-Write | Whether labels and menu items should have visible mnemonics which can be activated. Default value: `True`. This property is available in GTK+ 2.12 and above.
"gtk-enable-tooltips" | Read-Write | Whether tooltips should be shown on widgets. Default value: `True`. This property is available in GTK+ 2.14 and above.
"gtk-entry-password-hint-timeout" | Read-Write | How long to show the last input character in hidden entries. This value is in milliseconds. 0 disables showing the last char. 600 is a good value for enabling it. Default value: 0. This property is available in GTK+ 2.10 and above.
"gtk-entry-select-on-focus" | Read-Write | If `True`, select the contents of an entry when it is focused. Default value: `True`
"gtk-error-bell" | Read-Write | When `True`, keyboard navigation and other input-related errors will cause a beep. Since the error bell is implemented using `gtk.gdk.Window.bell`(), the windowing system may offer ways to configure the error bell in many ways, such as flashing the window or similar visual effects. Default value: `True`. This property is available in GTK+ 2.12 and above.
"gtk-fallback-icon-theme" | Read-Write | Name of a icon theme to fall back to. Default value: `None`.
"gtk-file-chooser-backend" | Read-Write | Name of the GtkFileChooser backend to use by default. Default value: `None`
"gtk-font-name" | Read-Write | The name of the default font to use. Default value: "Sans 10"
"gtk-fontconfig-timestamp" | Read-Write | Timestamp of current fontconfig configuration. Default value: 0
"gtk-icon-sizes" | Read-Write | The list of icon sizes (gtk-menu=16,16;gtk-button=20,20...). Default value: `None`
"gtk-icon-theme-name" | Read-Write | The name of the icon theme to use. Available in GTK+ 2.4 and above. Default value: "hicolor"
"gtk-im-module" | Read-Write | Which IM (input method) module should be used by default. This is the input method that will be used if the user has not explicitly chosen another input method from the IM context menu. Default value: `None`
"gtk-key-theme-name" | Read-Write | The name of the key theme RC file to load. Default value: `None`
"gtk-keynav-cursor-only" | Read-Write | When `True`, keyboard navigation should be able to reach all widgets by using the cursor keys only. Tab, Shift etc. keys can't be expected to be present on the used input device. Default value: `False`. This property is available in GTK+ 2.12 and above.
"gtk-keynav-wrap-around" | Read-Write | When `True`, some widgets will wrap around when doing keyboard navigation, such as menus, menubars and notebooks. Default value: `True`. This property is available in GTK+ 2.12 and above.
"gtk-label-select-on-focus" | Read-Write | If `True` select the contents of a selectable label when it is focused. Default value: `True`.
"gtk-menu-bar-accel" | Read-Write | The keybinding to activate the menu bar. Default value: "F10"
"gtk-menu-bar-popup-delay" | Read-Write | The delay before the submenus of a menu bar appear. Allowed values: >= 0. Default value: 0 Available in GTK+ 2.2 and above.
"gtk-menu-images" | Read-Write | If `True` images should be shown in menus. Default value: `True`. Available in GTK+ 2.4 and above.
"gtk-menu-popdown-delay" | Read-Write | The time before hiding a submenu when the pointer is moving toward the submenu. Allowed values: >= 0. Default value: 1000. Available in GTK+ 2.2 and above.
"gtk-menu-popup-delay" | Read-Write | Minimum time the pointer must stay over a menu item before the submenu appears. Allowed values: >= 0. Default value: 225. Available in GTK+ 2.2 and above.
"gtk-modules" | Read-Write | The list of currently active GTK modules. Default value: `None`. Available in GTK+ 2.6 and above.
"gtk-print-backends" | Read-Write | A comma-separated list of print backends to use in the print dialog. Available print backends depend on the GTK+ installation, and may include "file", "cups", "lpr" or "papi". Default value: "file,cups". Available in GTK+ 2.10 and above.

"gtk-print-preview-command"

Read-Write

A command to run for displaying the print preview. The command should contain a "f" placeholder, which will get replaced by the path to the pdf file. The command may also contain a "s" placeholder, which will get replaced by the path to a file containing the print settings in the format produced by gtk_print_settings_to_file(). The preview application is responsible for removing the pdf file and the print settings file when it is done. Default value: "evince --unlink-tempfile --preview --print-settings %s %f". Available in GTK+ 2.10 and above.

"gtk-recent-files-limit" | Read-Write | The number of recently used files that should be displayed by default by GtkRecentChooser implementations and by the GtkFileChooser. A value of -1 means every recently used file stored. Allowed values: >= -1. Default value: 50. This property is available in GTK+ 2.12 and above.
"gtk-recent-files-max-age" | Read-Write | The maximum age, in days, of the items inside the recently used resources list. Items older than this setting will be excised from the list. If set to 0, the list will always be empty; if set to -1, no item will be removed. Allowed values: >= -1. Default value: 30 This property is available in GTK+ 2.14 and above.
"gtk-scrolled-window-placement" | Read-Write | Where the contents of scrolled windows are located with respect to the scrollbars, if not overridden by the scrolled window's own placement. Default value: `gtk.CORNER_TOP_LEFT`.
"gtk-show-input-method-menu" | Read-Write | If `True` the context menus of entries and text views should offer to change the input method. Default value: `True`.
"gtk-show-unicode-menu" | Read-Write | If `True` the context menus of entries and text views should offer to insert control characters. Default value: `True`.
"gtk-sound-theme-name" | Read-Write | The XDG sound theme to use for event sounds. See the Sound Theme spec for more information on event sounds and sound themes. GTK+ itself does not support event sounds, you have to use a loadable module like the one that comes with libcanberra. Default value: "freedesktop". This property is available in GTK+ 2.14 and above.
"gtk-split-cursor" | Read-Write | If `True`, two cursors should be displayed for mixed left-to-right and right-to-left text. Default value: `True`
"gtk-theme-name" | Read-Write | The name of the theme RC file to load. Default value: "Raleigh"
"gtk-timeout-expand" | Read-Write | Expand value for timeouts, when a widget is expanding a new region. Allowed values: >= 0. Default value: 500.
"gtk-timeout-initial" | Read-Write | Starting value for timeouts, when button is pressed. Allowed values: >= 0. Default value: 200.
"gtk-timeout-repeat" | Read-Write | Repeat value for timeouts, when button is pressed. Allowed values: >= 0. Default value: 20.
"gtk-toolbar-icon-size" | Read-Write | the toolbar icon size - one of: `gtk.ICON_SIZE_MENU`, `gtk.ICON_SIZE_SMALL_TOOLBAR`, `gtk.ICON_SIZE_LARGE_TOOLBAR`, `gtk.ICON_SIZE_BUTTON`, `gtk.ICON_SIZE_DND` or `gtk.ICON_SIZE_DIALOG`. Default value: `gtk.ICON_SIZE_LARGE_TOOLBAR`.
"gtk-toolbar-style" | Read-Write | The toolbar display style - one of: `gtk.TOOLBAR_ICONS`, `gtk.TOOLBAR_TEXT`, `gtk.TOOLBAR_BOTH` or `gtk.TOOLBAR_BOTH_HORIZ`. Default value: `gtk.TOOLBAR_BOTH`
"gtk-tooltip-browse-mode-timeout" | Read-Write | Amount of time, in milliseconds, after which the browse mode will be disabled. See GtkSettings:gtk-tooltip-browse-timeout for more information about browse mode. Allowed values: >= 0. Default value: 500. This property is available in GTK+ 2.12 and above

"gtk-tooltip-browse-timeout"

Read-Write

Controls the time after which tooltips will appear when browse mode is enabled, in milliseconds. Browse mode is enabled when the mouse pointer moves off an object where a tooltip was currently being displayed. If the mouse pointer hits another object before the browse mode timeout expires (see GtkSettings:gtk-tooltip-browse-mode-timeout), it will take the amount of milliseconds specified by this setting to popup the tooltip for the new object. Allowed values: >= 0. Default value: 100. This property is available in GTK+ 2.12 and above

"gtk-tooltip-timeout" | Read-Write | Time, in milliseconds, after which a tooltip could appear if the cursor is hovering on top of a widget. Allowed values: >= 0. Default value: 1500. This property is available in GTK+ 2.12 and above
"gtk-touchscreen-mode" | Read-Write | When True, there are no motion notify events delivered on this screen, and widgets can't use the pointer hovering them for any essential functionality. Default value: `False`. This property is available in GTK+ 2.10 and above.
"gtk-xft-antialias" | Read-Write | Whether to antialias Xft fonts; 0=no, 1=yes, -1=default. Default value: -1. Available in GTK+ 2.4 and above.
"gtk-xft-dpi" | Read-Write | Resolution for Xft, in 1024 * dots/inch. -1 to use default value. Allowed values: [-1,1048576]. Default value: -1. Available in GTK+ 2.4 and above.
"gtk-xft-hinting" | Read-Write | Whether to hint Xft fonts; 0=no, 1=yes, -1=default. Default value: -1. Available in GTK+ 2.4 and above.
"gtk-xft-hintstyle" | Read-Write | What degree of hinting to use; none, slight, medium, or full. Default value: `None`. Available in GTK+ 2.4 and above.
"gtk-xft-rgba" | Read-Write | Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr. Default value: `None`. Available in GTK+ 2.4 and above.

## Description

The `gtk.Settings` object stores the values of the global settings associated with a `gtk.gdk.Screen`. The `gtk.Settings` object for the default `gtk.gdk.Screen` can be retrieved using the `gtk.settings_get_default`() function. The `gtk.Widget.get_settings`() method returns the `gtk.Settings` object of the `gtk.gdk.Screen` that the widget is displayed on.

## Methods

### gtk.Settings.set_string_property

        def set_string_property(name, v_string, origin)

`name` : | the name of the property to set
`v_string` : | the string value
`origin` : | the string value of the origin

The `set_string_property`() method sets the property named `name` to the string value specified by `v_string` at the string origin specified by `origin`. `origin` is an application specified string like "filename:linenumber" or "myapp:widgetname".

### gtk.Settings.set_long_property

        def set_long_property(name, v_long, origin)

`name` : | the name of the property to set
`v_long` : | the long value
`origin` : | the string value of the origin

The `set_long_property`() method sets the property named `name` to the long value specified by `v_long` at the string origin specified by `origin`. `origin` is an application specified string like "filename:linenumber" or "myapp:widgetname".

### gtk.Settings.set_double_property

        def set_double_property(name, v_double, origin)

`name` : | the name of the property to set
`v_double` : | the double value
`origin` : | the string value of the origin

The `set_double_property`() method sets the property named `name` to the double value specified by `v_long` at the string origin specified by `origin`. `origin` is an application specified string like "filename:linenumber" or "myapp:widgetname".

## Functions

### gtk.settings_get_default

        def gtk.settings_get_default()

Returns : | the singleton `gtk.Settings` object

The `gtk.settings_get_default` function returns the singleton `gtk.Settings` object.

### gtk.settings_get_for_screen

        def gtk.settings_get_for_screen(screen)

`screen` : | a `gtk.gdk.Screen` object
Returns : | a `gtk.Settings` object

### Note

This function is available in PyGTK 2.2 and above.

The `gtk.settings_get_for_screen`() function returns the singleton `gtk.Settings` object for the `gtk.gdk.Screen` specified by `screen`.

Prev | Up | Next
gtk.SeparatorToolItem | Home | gtk.SizeGroup